ome-files 0.2.2

Static Public Member Functions | List of all members
ome::files::PixelPropertiesBase< P > Struct Template Reference

Properties common to all pixel types. More...

`#include <ome/files/PixelProperties.h>`

Inheritance diagram for ome::files::PixelPropertiesBase< P >:
[legend]

## Static Public Member Functions
static pixel_size_type | pixel_byte_size ()
| Get size of pixel type, in bytes. More...
static pixel_size_type | pixel_bit_size ()
| Get size of pixel type, in bits. More...
static pixel_size_type | pixel_significant_bit_size ()
| Get significant (maximum bits used) size of pixel type, in bits. More...

## Detailed Description

### template<class P>
struct ome::files::PixelPropertiesBase< P >

Properties common to all pixel types.

Note that is_signed, is_integer and is_complex are equivalent to the same members of std::numeric_limits, where present. They are duplicated here due to lack of std::numeric_limits support in Boost.Endian for some of its types, including native types. They can be removed entirely once std::numeric_limits support is present.

Note
  Java uses isFloatingPoint, which is equivalent to `!is_integer`.

## Member Function Documentation

## § pixel_bit_size()

template<class P>

static pixel_size_type ome::files::PixelPropertiesBase< P >::pixel_bit_size | ( |  | ) |
| inlinestatic

Get size of pixel type, in bits.

Returns
  pixel size, in bits.

Referenced by ome::files::PixelPropertiesBase< struct PixelProperties< ::ome::xml::model::enums::PixelType::UINT16 > >::pixel_significant_bit_size().

Here is the caller graph for this function:

## § pixel_byte_size()

template<class P>

static pixel_size_type ome::files::PixelPropertiesBase< P >::pixel_byte_size | ( |  | ) |
| inlinestatic

Get size of pixel type, in bytes.

Returns
  pixel size, in bytes.

Referenced by ome::files::PixelPropertiesBase< struct PixelProperties< ::ome::xml::model::enums::PixelType::UINT16 > >::pixel_bit_size().

Here is the caller graph for this function:

## § pixel_significant_bit_size()

template<class P>

static pixel_size_type ome::files::PixelPropertiesBase< P >::pixel_significant_bit_size | ( |  | ) |
| inlinestatic

Get significant (maximum bits used) size of pixel type, in bits.

Returns
  pixel size, in bits.

The documentation for this struct was generated from the following file:

- ome/files/PixelProperties.h